<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['coin']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['coin']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>
<div class="col-3 m-0 p-0" align="center">
    <button type="button" class="p-1 py-0 btn btn-transparent border" @click="percentify(25, <?php echo e($coin->user->balance); ?>)">25%</button>
</div>

<div class="col-3 m-0 p-0" align="center">
    <button type="button" class="p-1 py-0 btn btn-transparent border" @click="percentify(50, <?php echo e($coin->user->balance); ?>)">50%</button>
</div>

<div class="col-3 m-0 p-0" align="center">
    <button type="button" class="p-1 py-0 btn btn-transparent border" @click="percentify(75, <?php echo e($coin->user->balance); ?>)">75%</button>
</div>

<div class="col-3 m-0 p-0" align="center">
    <button type="button" class="p-1 py-0 btn btn-transparent border" @click="percentify(100, <?php echo e($coin->user->balance); ?>)">100%</button>
</div><?php /**PATH /home/jwmhizws/ledger-chain.com/resources/views/components/widgets/amount-percentages.blade.php ENDPATH**/ ?>